package mw

import (
	svc2 "applet/app/admin/svc"
	"applet/app/e"
	"github.com/gin-gonic/gin"
)

// Auth 检查签名
func Auth(c *gin.Context) {
	admin, err := svc2.CheckUser(c)
	if err != nil {
		switch err.(type) {
		case e.E:
			err1 := err.(e.E)
			e.OutErr(c, err1.Code, err1.Error())
			return
		default:
			e.OutErr(c, e.ERR_TOKEN_AUTH, err.Error())
			return
		}
	}
	// 将当前请求的username信息保存到请求的上下文c上
	c.Set("admin", admin)
	c.Next()
}
