package model

type Notice struct {
	Id                    int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name                  string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	Content               string `json:"content" xorm:"not null comment('内容(json存储)') TEXT"`
	Sort                  int    `json:"sort" xorm:"not null default 0 comment('排序') TINYINT(3)"`
	IsPopToCentralKitchen int    `json:"is_pop_to_central_kitchen" xorm:"not null default 0 comment('是否弹出至央厨') TINYINT(1)"`
	CreateAt              string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt              string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
